Subject: bug#44944: Unable to log into X session via gdm

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 29 Nov 2020 22:20:20 +0100

Hi,

On Sun, 29 Nov 2020 18:00:44 +0100
Marius Bakke <[email-masked]> wrote:

> Danny Milosavljevic <[email-masked]> skriver:
> 
> > The latest guix system reconfigure (of yesterday) left me unable to login into
> > my X session.  guix system rollback DID NOT fix it.
> >
> > I would enter my password and it would "try" to login and return right back to
> > the gdm login screen.  
> 
> Can you find any clues in the log files as to why this happened?

I did check, but there were not really good clues in the logs, among other
things because it seemed that ~/.xsession-errors did not get updated.  ls
did report that ~/.xsession-errors belongs to me, but it still didn't update
it, which is why I then removed it.  But I only did that after removing gdm
as well, so I don't know whether removing gdm or removing ~/.xsession-errors
or both fixed it.

Checking the logs again, I have only this interesting line:

>Nov 29 04:24:26 localhost gdm: GdmDisplay: Session never registered, failing 

> Did you reboot after reconfiguring?

I had selected the older system generation in the grub boot menu.